Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Interface RequestedResource

All Known Subinterfaces:
  ComparableResource

All Known Implementing Classes:
  ComparableResourceImpl

public interface RequestedResource

This interface provides access to the URI and the properties of a resource.

Version:
  $Revision: 1.10 $

Method Summary
`java.util.Iterator` | `getAllProperties()` Returns all properties as an Iterator of NodeProperty objects.
`java.util.Iterator` | `getAllPropertiesNames()` Returns an Iterator of PropertyName of all properties.
`NodeProperty` | `getProperty(PropertyName propertyName)` Returns the property with the given `propertyName`.
`NodeProperty` | `getProperty(java.lang.String name, java.lang.String namespace)` Returns the property with the given `name` and `namespace`.
`java.lang.String` | `getUri()` Returns the URI of the resource.

Method Detail

### getUri

    public java.lang.String getUri()
                            throws SlideException

  Returns the URI of the resource.

  Returns:
    the URI of the resource.
  Throws:
    `SlideException`

### getProperty

    public NodeProperty getProperty(java.lang.String name,
                                    java.lang.String namespace)
                             throws SlideException

  Returns the property with the given `name` and `namespace`.

  Parameters:
    `name` - the name of the property.
    `namespace` - the namespace URI of the property.
  Returns:
    the property with the given `name` and `namespace`.
  Throws:
    `SlideException`

### getProperty

    public NodeProperty getProperty(PropertyName propertyName)
                             throws SlideException

  Returns the property with the given `propertyName`.

  Parameters:
    `propertyName` - the PropertyName of the property.
  Returns:
    the property with the given `npropertyNameame`.
  Throws:
    `SlideException`

### getAllPropertiesNames

    public java.util.Iterator getAllPropertiesNames()
                                             throws SlideException

  Returns an Iterator of PropertyName of all properties.

  Returns:
    an Iterator of PropertyName.
  Throws:
    `SlideException`

### getAllProperties

    public java.util.Iterator getAllProperties()
                                        throws SlideException

  Returns all properties as an Iterator of NodeProperty objects.

  Returns:
    all properties as an Iterator of NodeProperty objects.
  Throws:
    `SlideException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD